<? session_start();
if(!isset($_SESSION['usuario']))
{
 	echo "<script languaje='JavaScript'>";       
	echo "parent.location.href='index.php'; ";
	echo "</script>";
}

include ("clases/rsptaforo.class.php");
include ("clases/alumno.class.php"); $objalu=new alumno();
include ("clases/doc_curso.class.php"); $objcla=new doc_curso();
include ("clases/curso.class.php"); $objcur=new curso();
include ("clases/foro.class.php"); include ("clases/autor.class.php");
$cod=$_REQUEST['id'];
$obja=new foro(); $objar=new rsptaforo(); $objdoc = new autor();
if($obja->BuscarPorCodigo($cod))
   {
	$con = $obja->getConcepto();
	$det = $obja->getDetalle();
	$fp = $obja->getFechapub();
	$usu = $obja->getUsuario();
	if($objdoc->BuscarPorCodigo($usu))
	  {
		$nom = $objdoc->getNombres()." ".$objdoc->getApellidos();
	  }
	  $iddoc_curso = $obja->getIddoc_curso();
	 if($objcla->BuscarPorCodigo($iddoc_curso))
	  {
		 $idcurso = $objcla->getIdcurso();
		 if($objcur->BuscarPorCodigo($idcurso)){
		    $curso = $objcur->getCurso();
		 }
	  }
   }
?>
<html>
	<head><title>MI FORO</title>
	<link href="css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="css/bootstrap-theme.css">
<link rel="stylesheet" href="css/bootstrap-theme.min.css">
<link rel="stylesheet" href="css/dataTables.bootstrap.min.css">

<link href="css/css.css" rel="stylesheet" type="text/css">
<script src="js/jquery.dataTables.min.js"></script>
<script src="js/dataTables.bootstrap.min.js"></script>

<script src="js/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<script src="js/app.js"></script>

<script src="editor/ckeditor/ckeditor.js" type=text/javascript></script>
	</head>
	
	<script language="javascript">
	function consultar(f){
	f.action = 'mancurso.php';
	f.submit();return true;
	}
	
	</script>
	<style>
.text_docentes{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>
	<body >
<div class="container">	
	
<form name="f" action="controladores/procesarspta.php" method="post">
<div class="panel-heading">
    <h2>      Publicacion de Foro:<?=utf8_encode(utf8_decode($con));?>  
      (<?=$curso;?>)
      <a href="manforo.php?iddc=<?=$iddoc_curso;?>" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-share" aria-hidden="true"></span></a></h2>
	<?=$det;?> <?=$clase;?><?="(Pub: ".$fp.")";?> <div class="text_docentes">Por:<?=$nom;?></div>
	
            
  </div> 
  <div class="form-group">
  <strong>COMENTARIOS DE  FORO</strong>
            <input type="hidden" name="text" value="R">
            <input type="hidden" name="idforo" value="<?=$cod;?>">
  <a href="#" target="trabajos" data-id="<?=$idalu;?>" data-title="Editar" data-toggle="modal" data-target="#comenta" ></a>
  </div>
  <div id="form-group">
  <table class="table table-responsive">
            <? 
			  $obj = new rsptaforo();		  
			 
			  $lista = $obj->ListarPorForo($cod);
			  
			  for($i = 0; $i<count($lista); $i++)
			  {
			    if($objalu->BuscarPorNombre($lista[$i]["usuario"])) 
				{
				    $lista[$i]["foto"] = $objalu->getFoto();
					$lista[$i]["Nombres"] = $objalu->getNombres();
					$lista[$i]["Apellidos"] = $objalu->getApellidos(); $f = "fotosa";
				}else{
				        if($objdoc->BuscarPorNombre($lista[$i]["usuario"])) 
						{
							$lista[$i]["foto"] = $objdoc->getFoto();
							$lista[$i]["Nombres"] = $objdoc->getNombres();
							$lista[$i]["Apellidos"] = $objdoc->getApellidos();
							$f = "fotos";
						}
				     }
					 // echo "<code>";
			  ?>
		<tr>
	     <td>
            <?php if($objalu->getFoto()!="")
			        {?>
              <img src="<?=$f;?>/<?php echo $lista[$i]["foto"];?>" width="57" height="53" class="img-thumbnail img-circle" />
			 <?php } else{
			  				if($objdoc->getFoto()!=""){
			  ?>         		<img src="<?=$f;?>/<?php echo $lista[$i]["foto"];?>" width="52" height="49" class="img-thumbnail img-circle" />
				     <?php 
					  		 }	else { ?><img src="<?=$f;?>/<?php echo "student.png";?>" width="52" height="49" class="img-thumbnail img-circle" />
					   <?    		 }
					      }
					 ?>		
		</td>
		   <td width="94%">
			  <span class="text-muted text_docentes"><?php echo $lista[$i]["Nombres"]." ".$lista[$i]["Apellidos"];?>:
              <?php echo $lista[$i]["rspta"];?>
              <span class="glyphicon glyphicon-calendar"></span>:	<?=$lista[$i]["fechapub"];?>
             <a href="controladores/procesarspta.php?id=<?=$lista[$i]["idrspta"];?>&text=e&coddoc=<?=$lista[$i]["idforo"];?>"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></a>
           
            <? //echo "</code>";
			  }
			  ?>
            </span>
		 
		  </td>
	   </tr>
    </table>
  <p>&nbsp;</p>
  <div class="modal fade" id="comenta" tabindex="-1" role="dialog" aria-labelledby="comenta" aria-hidden="true">
   <div class="modal-dialog">
    <div class="modal-content">
			  <div class="modal-header">
				 <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
				 <h4 class="modal-title custom_align" id="Heading">Agregar Comentario</h4>
			  </div>
			  <div class="modal-body">
				  <div class="form-group">
				  <textarea name="rspta" id="rspta" cols="50" class="form-control"></textarea><script>
                CKEDITOR.replace( 'rspta' );
            </script>
				  <input type="hidden" name="usuario" value="<?=$_SESSION['usuario'];?>">	
				  </div>
			 </div>
        <div class="modal-footer ">
		      <input type="submit" name="b" value="Registrar" class="btn btn-success btn-lg">
		  </div>
          
      
     </div>
    <!-- /.modal-content --> 
    </div>
      <!-- /.modal-dialog --> 
    </div>
  </form>
</center>
</div>
	</body>	
</html>